💥 Grab our Lifetime Deal at just $79 (was $199) | One-time Payment 🔒

Mabarikodo

GET https://qrcodemonkey.net/api/barcodes/
curl --request GET \
--url 'https://qrcodemonkey.net/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
Vigezo Maelezo Maelezo
page Hiari Integer Ukurasa wa nambari unayotaka matokeo kutoka. Chaguo-msingi ni 1.
results_per_page Hiari Integer Unataka matokeo mangapi kwa kila ukurasa. Thamani zilizoruhusiwa ni: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Chaguo-msingi ni 25.
{ "data": [ { "id": 1, "type": "C32", "name": "Example name", "value": "123456", "barcode": "https://qrcodemonkey.net/uploads/barcode/example.svg", "settings": { "foreground_color": "#000000", "width_scale": 2, "height": 50, }, "embedded_data": "123456", "last_datetime": "2021-10-31 09:47:25", "datetime": "2021-10-29 16:32:25" }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://qrcodemonkey.net/api/barcodes?&page=1", "last": "https://qrcodemonkey.net/api/barcodes?&page=1", "next": null, "prev": null, "self": "https://qrcodemonkey.net/api/barcodes?&page=1" } }
GET https://qrcodemonkey.net/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "type": "C32", "name": "Example name", "value": "123456", "barcode": "https://qrcodemonkey.net/uploads/barcode/example.svg", "settings": { "foreground_color": "#000000", "width_scale": 2, "height": 50, }, "embedded_data": "123456", "last_datetime": "2021-10-31 09:47:25", "datetime": "2021-10-29 16:32:25" } }
POST https://qrcodemonkey.net/api/barcodes
Vigezo Maelezo Maelezo
project_id Hiari Integer -
name Inahitajika Uzi -
type Inahitajika Uzi Thamani zilizoruhusiwa: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T
is_bulk Hiari Boolean
value Inahitajika Uzi -
foreground_color Hiari Uzi -
width_scale Hiari Integer 1-10
height Hiari Integer 30-1000
Vigezo Maelezo Maelezo
curl --request POST \
--url 'https://qrcodemonkey.net/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{ "data": { "id": 1 } }
POST https://qrcodemonkey.net/api/barcodes/{barcode_id}
Vigezo Maelezo Maelezo
project_id Hiari Uzi -
name Hiari Uzi -
type Hiari Uzi Thamani zilizoruhusiwa: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T
value Inahitajika Uzi -
foreground_color Hiari Uzi -
width_scale Hiari Integer 1-10
height Hiari Integer 30-1000
curl --request POST \
--url 'https://qrcodemonkey.net/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{ "data": { "id": 1 } }
DELETE https://qrcodemonkey.net/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \